/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:display.c 12.0$ */
/* $ACIS:display.c 12.0$ */
/* $Source: /ibm/acis/usr/sys/standca/RCS/display.c,v $ */

#ifndef lint
static char *rcsid = "$Header:display.c 12.0$";
#endif

#include "../machine/cpu.h"

_display(n)
	register int n;

{
#ifdef IBMRTPC
#ifdef ATR
	if (cpu == CPU_RTPC)
#endif ATR
	{
	register char *MMU_ADDR = (char *)0x800000;
	register int DISPLAY_ADDR = 0x811000 + (n & 0xff);
	register int c;

	c = *MMU_ADDR;
	c = ior(DISPLAY_ADDR);
	iow(DISPLAY_ADDR, c);
	}
#endif IBMRTPC
}
